Page MenuHomePhabricator

Some tasks have trouble with Story Points
Closed, DuplicatePublic0 Estimate Story Points

Description

I just made a bunch of tasks for a new sprint and a number of them are not getting the story points when added. If I go in and change the points, then save, then change them back, they do appear. This is also resulting in NaN for the totals per column.

Event Timeline

atgo created this task.Jan 8 2015, 12:49 AM
atgo raised the priority of this task from to Needs Triage.
atgo updated the task description. (Show Details)
atgo set Security to None.
atgo added a subscriber: atgo.
atgo updated the task description. (Show Details)Jan 8 2015, 12:58 AM

This should be fixed in 0.6.2.7. Default points are now set to 0 rather than null.

This should be fixed in 0.6.2.7.

AFAIK this was deployed today (tag). Retesting (and closing as resolved if things work as expected) highly welcome.

Christopher renamed this task from Some tasks have trouble with Story Point to Some tasks have trouble with Story Points.Jan 15 2015, 11:40 AM

the null points value appears only when a task that has been assigned to a sprint is saved without a points value when the custom field is initialized. If there is no value for the points custom field, Sprint returns this as "0".

For example, if a new task is created and assigned to a Sprint (before the points field appears in the form), Sprint will show a "0". However, if the task is then edited and no value is entered for the points in the points field, the value is saved as null and this returns "default". This could be overridden by the interface, but technically, this is a procedural issue. If a task is in a Sprint, it should be assigned points value by the task creator / assigner, even if the value is "0".

Christopher edited a custom field.Jan 15 2015, 11:42 AM

@Christopher This isn't just about the default value, but also the fact that the story points weren't saving.

The reason that default, and other strange values are appearing in the points field on Sprint Board cards as been resolved with T87020.

If the points are not being saved from the Task Edit form, this is a different issue. The task edit logic is part of Maniphest, not Sprint, so this would be an upstream issue. I cannot reproduce this, but will keep this open for further reports.

Spage added a subscriber: Spage.EditedJan 17 2015, 6:14 AM

the null points value appears only when a task that has been assigned to a sprint is saved without a points value when the custom field is initialized. If there is no value for the points custom field, Sprint returns this as "0".

I think this is what's causing all the NaNs in /sprint/board/947/ columns; a bunch of the tasks have "Story points: default" and until I edit them to give story points, the column has NaN.

"default" made me hope I could specify a default number of story points per task for a workboard, but I'm OK with having to fill it in.

The reason that default, and other strange values are appearing in the points field on Sprint Board cards as been resolved with T87020.

Was this fix deployed January 16 or will it be deployed in a future Phab update? One of the tasks in the first column shows "Points: bz70749 " Thanks!

The 'default' also appears on most story boards, with NaN in the column.

I think 'default' just means the story point field is unset. I have never seen this where it actually was set.

Was this fix deployed?

Deployment happened on Feb 18th, see T86772.

T52036 has 'Points: bz50036' , and the same problem exists for T65462

Not anymore, should all be fixed now. :)